% function [s,c]=mhg(M,alpha,p,q,x,y)
%
% computes the truncated hypergeometric function pFq ^alpha(p;q;x;y) 
% of one OR two matrix arguments
% with the sum over |kappa|<=M 
% p,q,x,y are arrays, so hg(6,9,[3 4],[5 6 7],[1,2],[8 9]) is 
% 2F3^9([3 4];[5 6 7];[1 2];[8,9]) with the sum over all partitions
% |kappa|<=6
% y may be omitted
% c is a vector of size M+1 for the marginal sums for partions of sizes
% 0, ..., M
%
% Plamen Koev
% Department of Mathematics
% Massachusetts Institute of Technology
%
% Written May 2004
% Copyright (c) 2004 Plamen Koev. See COPYRIGHT.TXT for details
%
% Reference: Plamen Koev and Alan Edelman, The Efficient Evaluation of the 
% Hypergeometric Function of a Matrix Argument, Math. Comp. 75 (2006), 
% 833-846.

error('No mex file found for this platform');                    
